// SPDX-FileCopyrightText: 2022 Johannes Loher
//
// SPDX-License-Identifier: MIT

import { DS4Item } from "../item";

export class DS4Talent extends DS4Item {
  /** @override */
  prepareDerivedData() {
    super.prepareDerivedData();
    this.system.rank.total = this.system.rank.base + this.system.rank.mod;
  }

  /** @override */
  get activeEffectFactor() {
    return this.system.rank.total;
  }
}
